PolynomialFactory.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <polybori/factories/CFactoryBase.h>`
`#include <polybori/BoolePolynomial.h>`
`#include <polybori/BooleMonomial.h>`

Go to the source code of this file.

## Classes

class | polybori::PolynomialFactory
| This base class PolynomialFactory is used for currying polynomial constructors with a BoolePolyRing. More...

## Namespaces

| polybori

## Constant Groups

| polybori

## Detailed Description

Author
  Alexander Dreyer

Date
  2011-05-056

This file defines the base class PolynomialFactory which is used for currying the constructors of `BoolePolynomial` with a BoolePolyRing.

Copyright:
  (c) by The PolyBoRi Team